using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Like:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Like
	{
		public Dd_Like()
		{}
		#region Model
		private int _like_id;
		private int _like_typeid;
		private int _like_articleid;
		private int _like_userid;
		private string _like_guid;
		private DateTime? _like_datetime= DateTime.Now;
		private DateTime? _like_updatetime= DateTime.Now;
		private int? _like_verify;
		private int? _like_lock;
		private int? _like_state;
		private int? _like_delete;
		private int? _like_count;
		private int? _like_order;
		private string _like_remark;
		/// <summary>
		/// 
		/// </summary>
		public int Like_ID
		{
			set{ _like_id=value;}
			get{return _like_id;}
		}
		/// <summary>
		/// 喜欢的类型0文章1、图片2、音乐3、链接4、视频
		/// </summary>
		public int Like_TypeID
		{
			set{ _like_typeid=value;}
			get{return _like_typeid;}
		}
		/// <summary>
		/// 喜欢类型的ID
		/// </summary>
		public int Like_ArticleID
		{
			set{ _like_articleid=value;}
			get{return _like_articleid;}
		}
		/// <summary>
		/// 喜欢的用户ID
		/// </summary>
		public int Like_UserID
		{
			set{ _like_userid=value;}
			get{return _like_userid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Like_Guid
		{
			set{ _like_guid=value;}
			get{return _like_guid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? Like_Datetime
		{
			set{ _like_datetime=value;}
			get{return _like_datetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? Like_UpDatetime
		{
			set{ _like_updatetime=value;}
			get{return _like_updatetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Like_Verify
		{
			set{ _like_verify=value;}
			get{return _like_verify;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Like_Lock
		{
			set{ _like_lock=value;}
			get{return _like_lock;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Like_State
		{
			set{ _like_state=value;}
			get{return _like_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Like_Delete
		{
			set{ _like_delete=value;}
			get{return _like_delete;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Like_Count
		{
			set{ _like_count=value;}
			get{return _like_count;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Like_Order
		{
			set{ _like_order=value;}
			get{return _like_order;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Like_Remark
		{
			set{ _like_remark=value;}
			get{return _like_remark;}
		}
		#endregion Model

	}
}

